Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.pm.util
Interface WeeklySchedule

All Superinterfaces:
  java.lang.Cloneable, java.io.Serializable

All Known Implementing Classes:
  WeeklyScheduleImpl

public interface WeeklySchedule
extends java.io.Serializable, java.lang.Cloneable

The day of week schedule specifies the weekly time frames during which the schedule will be active.

Version:
  0.9, 2001-10-25
Author:
  Stefan Aberg

Method Summary
`java.lang.Object` | `clone()` Deep copy of this instance.
`java.util.TimeZone` | `getTimeZone()` Gets the time zone of the weekly schedule.
`boolean` | `isActive()` Checks if the schedule is active or not.
`boolean` | `isFridayActive()` Indicate if the day of week schedule is active on Friday.
`boolean` | `isMondayActive()` Indicate if the day of week schedule is active on Monday.
`boolean` | `isSaturdayActive()` Indicate if the day of week schedule is active on Saturday.
`boolean` | `isSundayActive()` Indicate if the day of week schedule is active on Sunday.
`boolean` | `isThursdayActive()` Indicate if the day of week schedule is active on Thursday.
`boolean` | `isTuesdayActive()` Indicate if the day of week schedule is active on Tuesday.
`boolean` | `isWednesdayActive()` Indicate if the day of week schedule is active on Wednesday.
`void` | `setAllDaysActive()` Sets all days of the week to be active in the day of weekly schedule.
`void` | `setFridayActive(boolean fridayActive)` Sets if Friday shall be active in the day of weekly schedule.
`void` | `setMondayActive(boolean mondayActive)` Sets if Monday shall be active in the day of weekly schedule.
`void` | `setSaturdayActive(boolean saturdayActive)` Sets if Saturday shall be active in the day of weekly schedule.
`void` | `setSundayActive(boolean sundayActive)` Sets if Sunday shall be active in the day of weekly schedule.
`void` | `setThursdayActive(boolean thursdayActive)` Sets if Thursday shall be active in the day of weekly schedule.
`void` | `setTimeZone(java.util.TimeZone tz)` Sets the time zone for the weekly schedule.
`void` | `setTuesdayActive(boolean tuesdayActive)` Sets if Tuesday shall be active in the day of weekly schedule.
`void` | `setWednesdayActive(boolean wednesdayActive)` Sets if Wednesday shall be active in the day of weekly schedule.

Method Detail

### clone

    public java.lang.Object clone()

  Deep copy of this instance.

  Returns:
    Object copy of this instance.

### isActive

    public boolean isActive()

  Checks if the schedule is active or not.

  If the current day of week is within the defined schedule this method will return true. If the current day of week is outside the schedule false will be returned.

  Returns:
    boolean Returns true if the schedule is active, else false.

### getTimeZone

    public java.util.TimeZone getTimeZone()

  Gets the time zone of the weekly schedule.

  Returns:
    TimeZone The time zone of the weekly schedule.
  See Also:
    `setTimeZone(java.util.TimeZone)`

### setTimeZone

    public void setTimeZone(java.util.TimeZone tz)

  Sets the time zone for the weekly schedule.

  If the time zone is not set the local time zone will be used.

  Parameters:
    `tz` - Time zone of the weekly schedule.
  See Also:
    `getTimeZone()`

### setAllDaysActive

    public void setAllDaysActive()

  Sets all days of the week to be active in the day of weekly schedule.

### isMondayActive

    public boolean isMondayActive()

  Indicate if the day of week schedule is active on Monday.

  Returns:
    boolean Returns true if the day of week schedule is active on Monday, else it returns false.

### setMondayActive

    public void setMondayActive(boolean mondayActive)

  Sets if Monday shall be active in the day of weekly schedule.

  Parameters:
    `mondayActive` - If true, Monday will be active in the day of weekly schedule. If false, Monday will not be active.

### isTuesdayActive

    public boolean isTuesdayActive()

  Indicate if the day of week schedule is active on Tuesday.

  Returns:
    boolean Returns true if the day of week schedule is active on Tuesday, else it returns false.

### setTuesdayActive

    public void setTuesdayActive(boolean tuesdayActive)

  Sets if Tuesday shall be active in the day of weekly schedule.

  Parameters:
    `tuesdayActive` - If true, Tuesday will be active in the day of weekly schedule. If false, Tuesday will not be active.

### isWednesdayActive

    public boolean isWednesdayActive()

  Indicate if the day of week schedule is active on Wednesday.

  Returns:
    boolean Returns true if the day of week schedule is active on Wednesday, else it returns false.

### setWednesdayActive

    public void setWednesdayActive(boolean wednesdayActive)

  Sets if Wednesday shall be active in the day of weekly schedule.

  Parameters:
    `wednesdayActive` - If true, Wednesday will be active in the day of weekly schedule. If false, Wednesday will not be active.

### isThursdayActive

    public boolean isThursdayActive()

  Indicate if the day of week schedule is active on Thursday.

  Returns:
    boolean Returns true if the day of week schedule is active on Thursday, else it returns false.

### setThursdayActive

    public void setThursdayActive(boolean thursdayActive)

  Sets if Thursday shall be active in the day of weekly schedule.

  Parameters:
    `thursdayActive` - If true, Thursday will be active in the day of weekly schedule. If false, Thursday will not be active.

### isFridayActive

    public boolean isFridayActive()

  Indicate if the day of week schedule is active on Friday.

  Returns:
    boolean Returns true if the day of week schedule is active on Friday, else it returns false.

### setFridayActive

    public void setFridayActive(boolean fridayActive)

  Sets if Friday shall be active in the day of weekly schedule.

  Parameters:
    `fridayActive` - If true, Friday will be active in the day of weekly schedule. If false, Friday will not be active.

### isSaturdayActive

    public boolean isSaturdayActive()

  Indicate if the day of week schedule is active on Saturday.

  Returns:
    boolean Returns true if the day of week schedule is active on Saturday, else it returns false.

### setSaturdayActive

    public void setSaturdayActive(boolean saturdayActive)

  Sets if Saturday shall be active in the day of weekly schedule.

  Parameters:
    `saturdayActive` - If true, Saturday will be active in the day of weekly schedule. If false, Saturday will not be active.

### isSundayActive

    public boolean isSundayActive()

  Indicate if the day of week schedule is active on Sunday.

  Returns:
    boolean Returns true if the day of week schedule is active on Sunday, else it returns false.

### setSundayActive

    public void setSundayActive(boolean sundayActive)

  Sets if Sunday shall be active in the day of weekly schedule.

  Parameters:
    `sundayActive` - If true, Sunday will be active in the day of weekly schedule. If false, Sunday will not be active.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD